# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Effect Struct Reference

VLX wrapper of vl::Effect. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Effect:

List of all members.

## Public Member Functions

void | importEffect (VLXSerializer &s, const VLXStructure *vlx, Effect *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
VLXValue | export_ShaderPasses (VLXSerializer &s, const ShaderPasses *sh_seq)
void | exportEffect (VLXSerializer &s, const Effect *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Effect.

Definition at line 1887 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Effect::importEffect | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Effect * | obj
| ) |  | `[inline]`

Definition at line 1889 of file VLXWrappers.hpp.

References vl::VLXValue::getInteger(), vl::VLXValue::getList(), vl::VLXValue::getString(), vl::VLXValue::getStructure(), vl::VLXStructure::getValue(), vl::VLXSerializer::importVLX(), vl::VLXValue::Integer, vl::VLXValue::List, vl::Effect::lod(), vl::Effect::setActiveLod(), vl::Effect::setEnableMask(), vl::Effect::setLODEvaluator(), vl::Object::setObjectName(), vl::Effect::setRenderRank(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXList::value(), vl::VLXStructure::value(), and VLX_IMPORT_CHECK_RETURN.

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Effect::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1948 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importEffect(), and vl::VLXSerializer::registerImportedStructure().

VLXValue vl::VLXClassWrapper_Effect::export_ShaderPasses | ( | VLXSerializer & | s,
|  | const ShaderPasses * | sh_seq
| ) |  | `[inline]`

Definition at line 1957 of file VLXWrappers.hpp.

References vl::Collection< T >::at(), vl::VLXSerializer::exportVLX(), vl::VLXValue::getList(), vl::Collection< T >::size(), and vl::vlx_makeTag().

Referenced by exportEffect().

void vl::VLXClassWrapper_Effect::exportEffect | ( | VLXSerializer & | s,
|  | const Effect * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 1965 of file VLXWrappers.hpp.

References vl::Effect::activeLod(), vl::Effect::enableMask(), export_ShaderPasses(), vl::VLXSerializer::exportVLX(), vl::ref< T >::get(), vl::Effect::lod(), vl::Effect::lodEvaluator(), vl::Object::objectName(), vl::Effect::renderRank(), VL_MAX_EFFECT_LOD, and vl::vlx_String().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Effect::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 1983 of file VLXWrappers.hpp.

References vl::Object::as(), exportEffect(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.